<template>
  <v-tooltip text="Copy to clipboard">
    <template #activator="{ props: tooltipProps }">
      <v-icon
        v-bind="tooltipProps"
        :color="copied ? 'success' : 'primary-lighten-2'"
        :icon="copied ? 'mdi-check' : 'mdi-content-copy'"
        size="x-small"
        @click="copy(props.text)"
      />
    </template>
  </v-tooltip>
</template>

<script setup lang="ts">
const props = defineProps<{
  text: string;
}>();

const { copy, copied } = useClipboard({ source: props.text, legacy: true });
</script>
